
QGIS Application - Bug report #6343

(master) size of point symbols is not retained in "symbol selector"

2012-09-14 12:57 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15622

Description

This affect only qgis master:

    -  add a point vector layer

    -  make a categorized symbology

    -  open the symbol selector dialog and change the symbol size of one class

    -  repeat for other classes

    -  click apply, sizes are correctly applied

    -  open again the symbol selector dialog for one class, the size is "1.0" instead of the one previously choosed (nevertheless the symbol

is rendered with the previously selected size)

History

#1 - 2012-09-17 12:05 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

- Category changed from 83 to GUI

#2 - 2012-09-19 09:43 AM - Vincent Picavet

Same here.

Note that subcomponents of the symbol keep the right size (so it's rendered ok), but the main component size is reset to 1.0.

#3 - 2012-10-03 05:02 PM - Giuseppe Sucameli

- Priority changed from Severe/Regression to Normal

This is not a blocker issue.

Maybe the user that doesn't understand why values he set changes, though the displayed symbols (both in map and preview) have a correct size.

#4 - 2014-06-12 02:29 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
